Capture Transactionpost https://api.global.sandbox.affirm.com/api/v1/transactions/{transaction_id}/captureInclude the id returned in the authorize transaction response to capture a transaction.Path Paramstransaction_idstringrequiredA unique ID representing the transaction’s loan or charge ID.Body Paramsorder_idstringlength between 1 and 128Identifies the order within the merchant's order management system that this transaction corresponds to. It is only returned in the response if included in the request.reference_idstring | nullAn optional, unique identifier that may be associated with each transaction event and reconciled with the system of record used by the merchant.shipping_carrierstring | nullThe shipping carrier used to ship the items.shipping_confirmationstring | nullThe tracking number of the shipment.amountinteger | null≥ 1The amount to capture, used only for merchants that are enabled with split capture. The value is positive and is represented in the smallest currency unit, such as cents instead of dollars.metadataobjectUnstructured metadata containing any additional data to be passed into each capture request.metadata objectHeadersIdempotency-KeystringUnique identifier pre-generated by the client and used by the server to recognize successive calls to the same endpoint. This is required for Split Capture and encouraged for single transaction functionality. Note: If a request fails or times out, use the same idempotency key to retry the operation without risk of double-processing. For details, see the Idempotency section on About Split Capture.country-codestringrequiredRequired param to identify the country in which Affirm is used and uses an "alpha-3" three-letter country code. Supported countries are the United States (USA), Canada (CAN), and the United Kingdom (GBR).Responses 200HTTP 200 OK 400HTTP 400 Bad Request 401HTTP 401 Unauthorized 404HTTP 404 Not Found 409HTTP 409 ConflictUpdated 5 months ago